# GstTracerFactory

Use gst_tracer_factory_get_list to get a list of tracer factories known to GStreamer.

## GstTracerFactory

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstPluginFeature
                    ╰──GstTracerFactory

Opaque object that stores information about a tracer function.

Since : 1.8

### Class structure

#### GstTracerFactoryClass

### Gst.TracerFactoryClass

## Gst.TracerFactory

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.PluginFeature
                    ╰──Gst.TracerFactory

Opaque object that stores information about a tracer function.

Since : 1.8

## Gst.TracerFactory

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.PluginFeature
                    ╰──Gst.TracerFactory

Opaque object that stores information about a tracer function.

Since : 1.8

### Methods

#### gst_tracer_factory_get_tracer_type

    GType
    gst_tracer_factory_get_tracer_type (GstTracerFactory * factory)

Get the GType for elements managed by this factory. The type can only be retrieved if the element factory is loaded, which can be assured with gst_plugin_feature_load.

Parameters:

`factory` –

factory to get managed GType from

Returns –

the GType for tracers managed by this factory or 0 if the factory is not loaded.

Since : 1.14

#### Gst.TracerFactory.prototype.get_tracer_type

    function Gst.TracerFactory.prototype.get_tracer_type(): {
        // javascript wrapper for 'gst_tracer_factory_get_tracer_type'
    }

Get the GObject.Type for elements managed by this factory. The type can only be retrieved if the element factory is loaded, which can be assured with Gst.PluginFeature.prototype.load.

Parameters:

`factory` (Gst.TracerFactory) –

factory to get managed GObject.Type from

Returns (GObject.Type) –

the GObject.Type for tracers managed by this factory or 0 if the factory is not loaded.

Since : 1.14

#### Gst.TracerFactory.get_tracer_type

    def Gst.TracerFactory.get_tracer_type (self):
        #python wrapper for 'gst_tracer_factory_get_tracer_type'

Get the GObject.Type for elements managed by this factory. The type can only be retrieved if the element factory is loaded, which can be assured with Gst.PluginFeature.load.

Parameters:

`factory` (Gst.TracerFactory) –

factory to get managed GObject.Type from

Returns (GObject.Type) –

the GObject.Type for tracers managed by this factory or 0 if the factory is not loaded.

Since : 1.14

### Functions

#### gst_tracer_factory_get_list

    GList *
    gst_tracer_factory_get_list ()

Gets the list of all registered tracer factories. You must free the list using gst_plugin_feature_list_free.

The returned factories are sorted by factory name.

Free-function: gst_plugin_feature_list_free

Returns ( [transfer: full][element-type Gst.TracerFactory]) –

the list of all registered GstTracerFactory.

Since : 1.8

#### Gst.TracerFactory.prototype.get_list

    function Gst.TracerFactory.prototype.get_list(): {
        // javascript wrapper for 'gst_tracer_factory_get_list'
    }

Gets the list of all registered tracer factories. You must free the list using Gst.PluginFeature.prototype.list_free.

The returned factories are sorted by factory name.

Free-function: gst_plugin_feature_list_free

Returns ([ Gst.TracerFactory ]) –

the list of all registered Gst.TracerFactory.

Since : 1.8

#### Gst.TracerFactory.get_list

    def Gst.TracerFactory.get_list ():
        #python wrapper for 'gst_tracer_factory_get_list'

Gets the list of all registered tracer factories. You must free the list using Gst.PluginFeature.list_free.

The returned factories are sorted by factory name.

Free-function: gst_plugin_feature_list_free

Returns ([ Gst.TracerFactory ]) –

the list of all registered Gst.TracerFactory.

Since : 1.8

## Function Macros

### GST_TRACER_FACTORY_CAST

    #define GST_TRACER_FACTORY_CAST(obj)            ((GstTracerFactory *)(obj))

The results of the search are